using UnityEngine;
using System.Collections;

public class raycast : MonoBehaviour {

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
		
		// vérifie si l'on a cliqué sur un minion
		 if (Input.GetMouseButtonDown(0)) 
		{
            RaycastHit hit;
            Ray ray = Camera.main.ScreenPointToRay(Input.mousePosition);
            if (Physics.Raycast(ray, out hit))
			{
                if (hit.collider != null)
				{
                    hit.collider.enabled = false; // permet de cliquer qu'une fois sur l'objet
					//Debug.Log ("hit something");
					
					//vas changer un booleen dans le script du minion luiindiquant qu'il a été touché
				}
				
			}
		}
		
		
	}
}
